import { Args, Command } from '@oclif/core';
import { execSync } from 'child_process';
export default class Generate extends Command {
    static args = {
        folderName: Args.string({ required: true, description: 'Enter FolderName for the cloned repository' }),
    };
    static description = 'describe the command here';
    async run() {
        const { args } = await this.parse(Generate);
        const name = args.folderName ?? 'Linkworks';
        try {
            execSync(`git clone https://linkfields@dev.azure.com/linkfields/Link%20Works/_git/LW "${args.folderName}"`, { stdio: 'inherit' });
            this.log('Repository cloned successfully!');
        }
        catch (error) {
            this.error(`Error cloning repository: ${error.message}`);
            process.exit(1);
        }
    }
}
